package org.rcisoft.business.sysScheduledTaskLog.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.business.sysScheduledTaskLog.entity.SysScheduledTaskLog;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2025年2月20日 上午11:14:19.
 */
public interface SysScheduledTaskLogService {

    /**
    * 保存 
    * @param sysScheduledTaskLog
    * @return
    */
    CyPersistModel persist(SysScheduledTaskLog sysScheduledTaskLog);

    /**
    * 删除 
    * @param sysScheduledTaskLog
    * @return
    */
    CyPersistModel remove(SysScheduledTaskLog sysScheduledTaskLog);

    /**
    * 修改 
    * @param sysScheduledTaskLog
    * @return
    */
    CyPersistModel merge(SysScheduledTaskLog sysScheduledTaskLog);

    /**
    * 根据id查询 
    * @param id
    * @return
    */
    SysScheduledTaskLog findById(String id);

    /**
    * 分页查询 
    * @param sysScheduledTaskLog
    * @return
    */
    IPage<SysScheduledTaskLog> findAllByPagination(CyPageInfo<SysScheduledTaskLog> paginationUtility,
              SysScheduledTaskLog sysScheduledTaskLog);


    /**
    * 查询list 
    * @param sysScheduledTaskLog
    * @return
    */
    List<SysScheduledTaskLog> findAll(SysScheduledTaskLog sysScheduledTaskLog);


    /**
    * 导出
    * @return
    */
    List<SysScheduledTaskLog> export(SysScheduledTaskLog sysScheduledTaskLog);

}
